%global pkg_name pcre-light

%global common_summary A library for Perl 5 compatible regular expressions

%global common_description A small, efficient and portable regex library for Perl 5 \
compatible regular expressions \
 \
The PCRE library is a set of functions that implement regular \
expression pattern matching using the same syntax and \
semantics as Perl 5.

%global ghc_pkg_c_deps pcre-devel

%global _use_internal_dependency_generator 0
%global __find_provides %{_rpmconfigdir}/ghc-deps.sh --provides %{buildroot}%{ghclibdir}
%global __find_requires %{_rpmconfigdir}/ghc-deps.sh --requires %{buildroot}%{ghclibdir}

Name:           ghc-%{pkg_name}
Version:        0.4
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc-prof
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%{?ghc_pkg_c_deps:BuildRequires:  %{ghc_pkg_c_deps}}

%description
%{common_description}


%package -n ghc-%{pkg_name}-devel
Summary:        Development files for %{?common_summary}%{!?common_summary:Haskell %{pkgname} library}
Group:          Development/Libraries
%{?ghc_devel_requires}
%{?ghc_pkg_c_deps:Requires:       %{ghc_pkg_c_deps}}
Obsoletes:      ghc-%{pkg_name}-prof < %{version}-%{release}
Provides:       ghc-%{pkg_name}-prof = %{version}-%{release}

%description -n ghc-%{pkg_name}-devel
%{?common_description}%{!?common_description:Haskell %{pkgname} library.}

This package contains the development files.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache


%if %{undefined ghc_without_shared}
%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)
%endif


%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)


%changelog
* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4-1
- Initial package

* Wed Dec  8 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
